## org.apache.fop.fo.pagination
Class PageMasterReference

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.pagination.PageMasterReference

Direct Known Subclasses:
  RepeatablePageMasterReference, SinglePageMasterReference

public abstract class PageMasterReference
extends FObj
implements SubSequenceSpecifier

Base PageMasterReference class. Provides implementation for handling the master-name attribute and containment within a PageSequenceMaster

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`PageMasterReference(FObj parent, PropertyList propertyList)`

Method Summary
`protected abstract java.lang.String` `getElementName()` Gets the formating object name for this object.
`java.lang.String` `getMasterName()` Returns the "master-name" attribute of this page master reference
`abstract java.lang.String` `getNextPageMaster(int currentPageNumber, boolean thisIsFirstPage, boolean isEmptyPage)`
`protected PageSequenceMaster` `getPageSequenceMaster()`
`abstract void` `reset()` Called before a new page sequence is rendered so subsequences can reset any state they keep during the formatting process.
`protected void` `setMasterName(java.lang.String masterName)`
`protected void` `setPageSequenceMaster(PageSequenceMaster pageSequenceMaster)`
`protected void` `validateParent(FObj parent)` Checks that the parent is the right element.

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, layout, maker, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageMasterReference

    public PageMasterReference(FObj parent,
                               PropertyList propertyList)
                        throws FOPException

Method Detail

### setMasterName

    protected void setMasterName(java.lang.String masterName)

### getMasterName

    public java.lang.String getMasterName()

  Returns the "master-name" attribute of this page master reference

### setPageSequenceMaster

    protected void setPageSequenceMaster(PageSequenceMaster pageSequenceMaster)

### getPageSequenceMaster

    protected PageSequenceMaster getPageSequenceMaster()

### getNextPageMaster

    public abstract java.lang.String getNextPageMaster(int currentPageNumber,
                                                       boolean thisIsFirstPage,
                                                       boolean isEmptyPage)

  Specified by:
    getNextPageMaster in interface SubSequenceSpecifier

### getElementName

    protected abstract java.lang.String getElementName()

  Gets the formating object name for this object. Subclasses must provide this.
  Returns:
    the element name of this reference. e.g. fo:repeatable-page-master-reference

### validateParent

    protected void validateParent(FObj parent)
                           throws FOPException

  Checks that the parent is the right element. The default implementation checks for fo:page-sequence-master

### reset

    public abstract void reset()

  Description copied from interface: SubSequenceSpecifier
  Called before a new page sequence is rendered so subsequences can reset any state they keep during the formatting process.
  Specified by:
    reset in interface SubSequenceSpecifier

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.